changeset 325:0dd36d2eb954

Added bin file for test
author Windel Bouwman
date Fri, 31 Jan 2014 19:14:54 +0100
parents ed6d0adaa626
children 2fa27c44e3c9
files test/bare/bare.bin test/bare/qemutst.sh
diffstat 2 files changed, 11 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
Binary file test/bare/bare.bin has changed
--- a/test/bare/qemutst.sh	Fri Jan 31 12:45:17 2014 +0100
+++ b/test/bare/qemutst.sh	Fri Jan 31 19:14:54 2014 +0100
@@ -1,6 +1,16 @@
 #!/usr/bin/bash
 
+set -e
+
+echo "quit" | socat stdio stdio
+
 echo "Trying to run versatilePB board"
 
-qemu-system-arm -M versatilepb -m 128M -nographic -kernel bare.bin
+qemu-system-arm -M versatilepb -m 128M -nographic -kernel bare.bin \
+    -monitor unix:vm.sock,server,nowait -serial file:output.txt &
 
+sleep 2
+
+# Send quit to the monitor application
+echo "quit" | socat stdio UNIX-CONNECT:vm.sock
+